summaryrefslogtreecommitdiff
path: root/emailwiz.sh
diff options
context:
space:
mode:
authorayoung012 <adamyoung012@gmail.com>2019-06-07 23:30:01 +1000
committerGitHub <noreply@github.com>2019-06-07 23:30:01 +1000
commitdb265994ac7c81bebab86b6d0d59e8b7f9cf86c4 (patch)
tree1e055356db7287f8d2ebea5ade316fa4f766deeb /emailwiz.sh
parent493fbd2f73d056ab61fb66b92daf5e2c842d6fb7 (diff)
prevent false detection of opendkim KeyTable config
default /etc/opendkim.conf has KeyTable appear in comment doco and example. Shouldn't trigger the grep that checks whether this config has been applied.
Diffstat (limited to 'emailwiz.sh')
-rwxr-xr-xemailwiz.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/emailwiz.sh b/emailwiz.sh
index 44dba4e..4fefa74 100755
--- a/emailwiz.sh
+++ b/emailwiz.sh
@@ -177,7 +177,7 @@ grep "127.0.0.1" >/dev/null 2>&1 /etc/postfix/dkim/trustedhosts ||
1.2.3.4/24" >> /etc/postfix/dkim/trustedhosts
# ...and source it from opendkim.conf
-grep KeyTable /etc/opendkim.conf >/dev/null || echo "KeyTable file:/etc/postfix/dkim/keytable
+grep ^KeyTable /etc/opendkim.conf >/dev/null || echo "KeyTable file:/etc/postfix/dkim/keytable
SigningTable refile:/etc/postfix/dkim/signingtable
InternalHosts refile:/etc/postfix/dkim/trustedhosts" >> /etc/opendkim.conf